/**
 * @author Andrea Ferracani
 */

// uso dell'oggetto nativo window w del gestore di evento onload con funzione di riferimento
window.onload = onloadGestore; 

function onloadGestore(){
	alert("onload");
	
	/* ottieni un riferimento al body della pagina */
   var body = document.body;
   /* crea un elemnto span */
   var span = document.createElement('span');
   span.id = 'ExampleSpan';
   span.appendChild(document.createTextNode ('Clicca qui!'));
   
   /* registra alcuni eventi sullo span - 

   */
   span.onmousedown = gestoreEventoMouse;
   span.onmouseup = gestoreEventoMouse;
   span.onmouseover = gestoreEventoMouse;
   span.onmouseout = gestoreEventoMouse;
   
   // inserisci lo span nella pagina
   body.appendChild(span);
}


function gestoreEventoMouse(event) {
    /* La seguente riga e' per compatibilita' */
    /* IE non passa di default l'oggetto event */
    /* ottieni un riferimento */
    if (!event) event = window.event;

    /* ottieni tipo e target */
    var eType = event.type;
    var eTarget = event.target || event.srcElement;
    alert(eType +' evento su id: '+ eTarget.id);
  }
